import nl.tue.id.creapro.admoveo.*;
import processing.serial.*;
import controlP5.*;

ControlP5 controlP5;
AdMoVeo admoveo;
Slider slid;

int bgcolor = 0;

void setup() {
  size(400, 400);
  admoveo = new AdMoVeo(this, "COM39"); // change to your comport number
  admoveo.getLeftLightSensor().enable();
  controlP5 = new ControlP5(this);
  slid = controlP5.addSlider("mygod", 0, 255, 0, 10, 10, 200, 15);
}

void draw() {
  fill(0, 0, bgcolor); 
  rect(100,100,200,200);
}

void mygod(int value) {
  bgcolor = value;     // change bgcolor if you move the slider
}

void inputAvailable(Sensor sensor, int oldValue, int newValue){
  if(sensor == admoveo.getLeftLightSensor()){
    admoveo.execute("changeBackground", AdMoVeo.NOW);
  }
}

void changeBackground(SensorStatus s){
  bgcolor = s.get(admoveo.getLeftLightSensor())/4;
  slid.setValue(bgcolor);        // change the slider value, depends on input signal
  admoveo.getBlueLed().setPower(bgcolor); // also change the robot led intensity
}
